<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');
	require_once(CI_PATH_LIBS.'/channels_zap.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	/* Reads configuration */
	$manager	= new CI_CHANNELS_ZAP();
	$info		= $manager->get_global_info();

	/* zap fields */
	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'tonezone'			=> array('type' => 'select', 'options' => $manager->get_tonezones()),
			)
		),
		'custom' => array(
			'fields'	=> array(
				'dialtone'			=> array('type' => 'text', 'extra' => array('size' => 70)),
				'busy'				=> array('type' => 'text', 'extra' => array('size' => 70)),
				'ringtone'			=> array('type' => 'text', 'extra' => array('size' => 70)),
				'congestion'		=> array('type' => 'text', 'extra' => array('size' => 70)),
				'callwait'			=> array('type' => 'text', 'extra' => array('size' => 70)),
				'dialrecall'		=> array('type' => 'text', 'extra' => array('size' => 70)),
				'recordtone'		=> array('type' => 'text', 'extra' => array('size' => 70)),
				'info'				=> array('type' => 'text', 'extra' => array('size' => 70)),
				'stutter'			=> array('type' => 'text', 'extra' => array('size' => 70)),
				'ringcadence'		=> array('type' => 'text', 'extra' => array('size' => 20)),
				'dtmf_high_level'	=> array('type' => 'int', 'extra' => array('size' => 5)),
				'dtmf_low_level'	=> array('type' => 'int', 'extra' => array('size' => 5))
			)
		)
	);

	$hidden_fields=array('task'	=> 'save_global');

	/* Basic form */
	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/channels_zap.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('channels.zap.tab-');
	$form->set_fields_label_prefix('channels.zap.fld-');

	/* Buttons */
	$buttons=new CI_BUTTONS();
 	$buttons->add_stock_button('save');

 	$devices=$manager->get_devices();
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'save': 	$('form').do_submit(); break;
		}
	}

	function on_form_event(id, task)
	{
	}
</script>

<div class="title"><?php echo ci_lbl("channels.zap.title") ?></div>
<div class="help"><?php echo ci_hlp("channels.zap") ?></div>

<?php if (sizeof($devices)) { ?>
<?php echo $form->get() ?>
<?php echo $buttons->get() ?>

<div style="clear:both" />
<br />
<div class="title"><?php echo ci_lbl("channels.zap.cards") ?></div>

<table border="0" width="100%" class="table">
	<tbody>
		<?php
			$n=0;
			foreach ($devices as $device)
			{
		?>
		<tr class="table">
			<td class="table" width="120" align="center"><a title="<?php echo ci_lbl("channels.zap.edit") ?>: <?php echo $device['name']?>" href="javascript:ci_load_page('channels/zaptel/info_<?php echo strtolower($device['type']) ?>.php?n=<?php echo $n ?>')"><img style="border: 1px solid #c0c0c0; padding: 0px" src="/img/cards/zap/<?php echo $device['image'] ?>.jpg" /></a></td>
			<td class="table">
				<table class="table2" width="100%">
					<tbody>
						<tr>
							<td class="table2" width="90"><?php echo ci_lbl("channels.zap.cards.code") ?>:</td>
							<td class="table2"><b><?php echo $device['code'] ?></b>
						</tr>
						<tr>
							<td class="table2"><?php echo ci_lbl("channels.zap.cards.name") ?>:</td>
							<td class="table2"><b><?php echo $device['name'] ?></b>
						</tr>
						<tr>
							<td class="table2"><?php echo ci_lbl("channels.zap.cards.bchannels") ?>:</td>
							<td class="table2"><b><?php echo $device['bchannels'] ?></b>
						</tr>
						<tr>
							<td class="table2"><?php echo ci_lbl("channels.zap.cards.type") ?>:</td>
							<td class="table2"><b><?php echo $device['type'] ?></b>
						</tr>
					</tbody>
				</table>
			</td>
			<td class="table" style="text-align: right; vertical-align: bottom; padding: 3px;">
				<input type="button" class="button" value="<?php echo ci_lbl("channels.zap.edit") ?>" onclick="ci_load_page('channels/zaptel/info_<?php echo strtolower($device['type']) ?>.php?n=<?php echo $n ?>')" />
			</td>
		</tr>
		<?php
				$n++;
			}
		?>
	</tbody>
</table><br />
<?php } else { ?>
<div class="bignote"><?php echo ci_lbl("channels.zap.nocard") ?></div>
<?php } ?>
