<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/skype.inc.php');
	require_once(CI_PATH_LIBS.'/settings.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$hidden_fields=array(
		'id'	=> $_REQUEST['id'],
		'task'	=> 'save'
	);

	$profiles=array();
	$manager_profiles=new CI_SKYPE_PROFILES();
	$items=$manager_profiles->get_list();
	foreach ($items as $item) $profiles[$item['id']]=$item['desc'];

	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'skype_username'	=> array('type' => 'text'),
				'skype_password'	=> array('type' => 'password'),
				'desc'				=> array('type' => 'text'),
				'profile'			=> array('type' => 'select', 'options' => $profiles, 'null' => true),
				'enabled'			=> array('type' => 'yesno')
			)
		),
		'filetransfer'	=> array(
			'fields'	=> array(
				'filetransfer_enabled'						=> array('type' => 'yesno', 'extra' => array('onchange' => 'on_filetransfer_enabled_change()')),
				'filetransfer_media'						=> array('type' => 'media', 'modes' => array('file')),
				'filetransfer_message_template_subject'		=> array('type' => 'text'),
				'filetransfer_message_template_body'		=> array('type' => 'textarea'),
			)
		),
		'advanced'	=> array(
			'fields'	=> array(
				'fallback'				=> array('type' => 'text'),
				'vnc_screen'			=> array('type' => 'int'),
				'vnc_password'			=> array('type' => 'password'),
				'audio_agc'				=> array('type' => 'yesno'),
				'audio_aec'				=> array('type' => 'yesno'),
				'caller_prefix'			=> array('type' => 'text', 'extra' => array('size' => 15))
			)
		)
	);

	$manager=new CI_SKYPE();

	$info=$manager->get_info($_REQUEST['id']);

	if (!$id)
	{
		$info['enabled']='true';
		$info['audio_agc']='true';
		$info['audio_aec']='true';
	}

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/skype.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('skype.accounts.info.tab-');
	$form->set_fields_label_prefix('skype.accounts.info.fld-');

	$form->buttons->add_stock_button('back');
	$form->buttons->add_stock_button('reset');
	if ($_REQUEST['id']) $form->buttons->add_stock_button('delete');
	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_modal_results(id, res)
	{
		if ((id=="delete") && (res==true))
		{
			$('form').task.value="delete";
			$('form').do_submit();
			ci_load_page('skype/accounts/index.php');
		}
	}
	
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'back':	ci_load_page('skype/accounts/index.php'); break;
			case 'reset':	$('form').reset(); break;
			case 'save':	$('form').do_submit(); break;
			case 'delete':	ci_modal_confirm("delete", "<?php echo ci_lbl('skype.accounts.info.confirm-delete') ?>", "on_modal_results"); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}

	function on_filetransfer_enabled_change()
	{
		if (!$('form').filetransfer_media.value)
		{
			$('form').filetransfer_media.disabled						= true;
			$('form').filetransfer_message_template_subject.disabled	= true;
			$('form').filetransfer_message_template_body.disabled		= true;
			return;
		}

		var val=$('form').filetransfer_media.options[$('form').filetransfer_media.selectedIndex].title;
		var val2=($('form').filetransfer_enabled.value == 'true');

		if (val2)
		{
			email_disabled	= (val != 'email');
			ftp_disabled	= (val != 'ftp');

			$('form').filetransfer_media.disabled						= false;
			$('form').filetransfer_message_template_subject.disabled	= email_disabled;
			$('form').filetransfer_message_template_body.disabled		= email_disabled;
		}
		else
		{
			$('form').filetransfer_media.disabled						= true;
			$('form').filetransfer_message_template_subject.disabled	= true;
			$('form').filetransfer_message_template_body.disabled		= true;
		}
	}
</script>

<?php if ($info['filetransfer_mode'] == 'email') { ?>
<?php if (!$net_info['smtp_server']) { ?><div class="warn_block"><?php echo ci_lbl("common.nosmtp") ?></div><?php } ?>
<?php } ?>

<?php if ($_REQUEST['id']) { ?>
<div class="title"><?php echo ci_lbl("skype.accounts.info.title", array('name' => $info['skype_username'])) ?></div>
<?php } else { ?>
<div class="title"><?php echo ci_lbl("skype.accounts.info.title-new") ?></div>
<?php } ?>

<div class="help"><?php echo ci_hlp("skype.accounts.info") ?></div>

<?php echo $form->get() ?>

<script type="text/javascript">on_filetransfer_enabled_change();</script>

