<?php
	class CI_SKYPE_PROFILES extends CI_CONFIG
	{
		function get_config_file()
		{
			return CORE_PATH_BASE.'/config/profiles.xml';
		}

		function save_raw_config($array)
		{
			return parent::save_raw_config($array);
		}

		function get_rmap($info)
		{
			$out=array(
				'id'		=> $info['id'],
				'desc'		=> $info['desc'],
				'enabled'	=> $info['enabled'],
				'profile'	=> array(
					'fullname'			=> $info['profile_fullname'],
					'birthday'			=> $info['profile_birthday'],
					'sex'				=> $info['profile_sex'],
					'languages'			=> $info['profile_languages'],
					'country'			=> $info['profile_country'],
					'province'			=> $info['profile_province'],
					'city'				=> $info['profile_city'],
					'phone-home'		=> $info['profile_phone_home'],
					'phone-office'		=> $info['profile_phone_office'],
					'phone-mobile'		=> $info['profile_phone_mobile'],
					'homepage'			=> $info['profile_homepage'],
					'about'				=> $info['profile_about'],
					'mood-text'			=> $info['profile_mood_text'],
					'rich-mood-text'	=> $info['profile_rich_mood_text'],
					'timezone'			=> $info['profile_timezone']
				)
			);

			$out['profile']['birthday']=preg_replace('/\D+/', '', $info['profile_birthday']);

			return $out;
		}

		function get_map($info)
		{
			$out=array(
				'id'						=> $info['id'],
				'desc'						=> $info['desc'],
				'enabled'					=> $info['enabled'],
				'profile_fullname'			=> $info['profile']['fullname'],
				'profile_sex'				=> $info['profile']['sex'],
				'profile_languages'			=> $info['profile']['languages'],
				'profile_country'			=> $info['profile']['country'],
				'profile_province'			=> $info['profile']['province'],
				'profile_city'				=> $info['profile']['city'],
				'profile_phone_home'		=> $info['profile']['phone-home'],
				'profile_phone_office'		=> $info['profile']['phone-office'],
				'profile_phone_mobile'		=> $info['profile']['phone-mobile'],
				'profile_homepage'			=> $info['profile']['homepage'],
				'profile_about'				=> $info['profile']['about'],
				'profile_mood_text'			=> $info['profile']['mood-text'],
				'profile_rich_mood-text'	=> $info['profile']['rich-mood-text'],
				'profile_timezone'			=> $info['profile']['timezone']
			);

			if ($info['profile']['birthday'])
				$out['profile_birthday']=substr($info['profile']['birthday'], 0, 4).'/'.substr($info['profile']['birthday'], 4, 2).'/'.substr($info['profile']['birthday'], 6, 2);

			return $out;
		}

		function get_flag_reload_profiles()
		{
			return ci_get_core_flag('sessions.reloadprofiles');
		}

		function set_flag_reload_profiles()
		{
			ci_set_core_flag('sessions.reloadprofiles', 1);
		}

		function task_delete($id)
		{
			$this->set_flag_reload_profiles();
			return parent::task_delete($id);
		}

		function task_toggle($id)
		{
			$this->set_flag_reload_profiles();
			return parent::task_toggle($id);
		}

		function task_save($info)
		{
			/* New item, let's create one ID */
			if (!$info['id'])			$info['id']=md5(uniqid(''));
			
			/* Compose fields */
			$fields=$this->get_rmap($info);

			/* Retrieve item position */
			$n=$this->get_n($info['id']);

			/* Save */
			$list =& $this->get_raw_list();
			$list[$n]=$fields;

			$this->set_flag_reload_profiles();

			$this->save_raw_config($list);
			return ci_response_ok();
		}
	}
?>