<?php
	require_once(CI_PATH_LIBS.'/config.inc.php');
	require_once(CI_PATH_LIBS.'/trunks_any.inc.php');
	require_once(CI_PATH_LIBS.'/trunks_sip.inc.php');
	require_once(CI_PATH_LIBS.'/trunks_zap.inc.php');
	require_once(CI_PATH_LIBS.'/trunks_diva.inc.php');
	
	class CI_TRUNKS extends CI_CONFIG
	{
		private $drivers;
		
		function CI_TRUNKS()
		{
			$this->drivers=array();

			$items=$this->get_list();
			foreach ($items as $item)
			{
				if ($item['enabled'] != "true") continue;
				
				$class_name="CI_TRUNKS_".strtoupper($item['name']);
				$this->drivers[$item['name']]=new $class_name();
				$this->drivers['any']=new CI_TRUNKS_ANY();
			}
		}

		function get_rmap($info)
		{
			return array(
				'name'		=> $info['name'],
				'enabled'	=> $info['enabled']
			);
		}

		function get_map($info)
		{
			return array(
				'name'		=> $info['name'],
				'enabled'	=> $info['enabled']
			);
		}
		
		function get_config_file()
		{
			return CORE_PATH_BASE.'/config/drivers.xml';
		}

		function parse_destination($dst)
		{
			list($driver, $foo)=split(':', $dst, 2);
			return $this->drivers[$driver]->parse_destination($dst);
		}

		function get_trunks()
		{
			$trunks=array();
			$out=array();

			$list=$this->drivers['any']->get_trunks();
			foreach ($list as $item)
			{
				array_push($out, array(
					'desc'	=> $item['desc'],
					'desc2'	=> $item['desc2'],
					'name'	=> $item['name']
				));
			}

			foreach ($this->drivers as $name => $info)
			{
				if ($name == 'any') continue;
				
				$list=$info->get_trunks();
				foreach ($list as $item)
				{
					array_push($out, array(
						'desc'	=> $item['desc'],
						'desc2'	=> $item['desc2'],
						'name'	=> $item['name']
					));
				}
			}

			return $out;
		}
	}
?>