#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import string
import re
import time
from xml.sax import saxutils

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)

from castiron import *

# Variables replace
def set_vars(txt, replace):
	if not txt: txt=""

	for k in replace.keys():

		if not replace[k]: replace[k]=""
		txt=re.sub(r'\$\{'+k+'\}', replace[k], txt)

	return txt

# Check config parameters
CORE_CONF_SYSTEM		= xml_to_array(CORE_PATH_BASE+'/config/system.xml')
CASTIRON_CONF_MISC		= xml_to_array(CASTIRON_PATH_BASE+'/config/misc.xml')

if not CASTIRON_CONF_MISC.has_key('auth-policy'): sys.exit(0)

if CASTIRON_CONF_MISC['auth-policy'] == 'ignore': sys.exit(0)
user_name = os.environ['user_name']

print '<?xml version="1.0" encoding="UTF-8"?>'
print '<actions>'
print '<action to="skype" name="user-set-auth">'
print '<arg name="user-name">'+saxutils.escape(user_name)+'</arg>'

if CASTIRON_CONF_MISC['auth-policy'] == 'allow':
	print '<arg name="status">true</arg>'
else:
	print '<arg name="status">false</arg>'
	
print '</action>'
print '</actions>'

