#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import string
import re
import time
import sqlite3
from xml.sax import saxutils

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)

from castiron import *

# Paths
IGX_PATH_BASE = APPS_PATH_BASE+'/igx'

# Check config parameters
CORE_CONF_SYSTEM		= xml_to_array(CORE_PATH_BASE+'/config/system.xml')
IGX_CONF_ROUTE_IN		= xml_to_array(IGX_PATH_BASE+'/config/routes/routes-in.xml', 0)

call_id=os.environ['call_id']
fallback=''

if os.environ.has_key('route_id'):
	route_id=os.environ['route_id']
	
	routes=IGX_CONF_ROUTE_IN['item'].values()
	for r in routes:
		route=r['+']

		if route['id'][0]['#'] == route_id:
			try:
				fallback=route['userdata'][0]['+']['castiron-fallback'][0]['#']
			except:
				1
				
			break

if fallback:
	print '<?xml version="1.0" encoding="UTF-8"?>'
	print '<actions>'
	print '<action to="skype" name="call-transfer">'
	print '<arg name="call-id">'+saxutils.escape(call_id)+'</arg>'
	print '<arg name="user-name">'+saxutils.escape(fallback)+'</arg>'
	print '<on-error>'
	print '<action to="skype" name="call-finish"></action>'
	print '</on-error>'
	print '</action>'
	print '</actions>'

else:
	print '<?xml version="1.0" encoding="UTF-8"?>'
	print '<actions>'
	print '<action to="skype" name="call-finish">'
	print '<arg name="call-id">'+saxutils.escape(call_id)+'</arg>'
	print '</action>'
	print '</actions>'
