#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import string
import re
import time
from xml.sax import saxutils

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)

from castiron import *

# Check config parameters
CORE_CONF_SYSTEM		= xml_to_array(CORE_PATH_BASE+'/config/system.xml')
CORE_CONF_SKYPE			= xml_to_array(CORE_PATH_BASE+'/config/skype.xml', 0)

# Environmental data
from_skype = os.environ['from_skype']

# User lookup
S2P_USER_INFO=0
for item in CORE_CONF_SKYPE['item'].values():
	if item['+']['skype'][0]['+']['username'][0]['#'] == from_skype:
		S2P_USER_INFO=xml_simplify_array(item)
		break

if not S2P_USER_INFO: sys.exit(-1)

if \
	not S2P_USER_INFO.has_key('userdata') or \
	not S2P_USER_INFO['userdata'].has_key('castiron-fallback') or \
	not S2P_USER_INFO['userdata']['castiron-fallback'] \
:
	print '<?xml version="1.0" encoding="UTF-8"?>'
	print '<actions>'
	print '<action to="skype" name="set-profile">'
	print '<arg name="key">APPLY_CF</arg>'
	print '<arg name="value">False</arg>'
	print '</action>'
	print '</actions>'

else:
	print '<?xml version="1.0" encoding="UTF-8"?>'
	print '<actions>'
	print '<action to="skype" name="set-profile">'
	print '<arg name="key">CALL_APPLY_CF</arg>'
	print '<arg name="value">True</arg>'
	print '</action>'
	print '<action to="skype" name="set-profile">'
	print '<arg name="key">CALL_NOANSWER_TIMEOUT</arg>'
	print '<arg name="value">600</arg>'
	print '</action>'
	print '<action to="skype" name="set-profile">'
	print '<arg name="key">CALL_FORWARD_RULES</arg>'
	print '<arg name="value">0,600,'+S2P_USER_INFO['userdata']['castiron-fallback']+'</arg>'
	print '</action>'
	print '</actions>'
	