#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

S2P_OS_USERNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.username | cut -d= -f2`
if [[ `whoami` != "$S2P_OS_USERNAME" ]]; then
	exec sudo -u $S2P_OS_USERNAME ./$MYSCRIPT $@
fi

#########################################################################################
# sessions.restart.flag

IS_WILDCARD="0"
if [ -f $S2P_PATH_BASE/core/flags/sessions.restart.flag ]; then
	IS_WILDCARD=`grep -c "*" $S2P_PATH_BASE/core/flags/sessions.restart.flag`
fi

if [[ "$IS_WILDCARD" -gt "0" ]]; then

	rm -f $S2P_PATH_BASE/core/flags/sessions.restart.flag &> /dev/null
	rm -f $S2P_PATH_BASE/core/flags/sessions.align.flag &> /dev/null

	$S2P_PATH_BASE/core/bin/sessions.sh restart

#########################################################################################
# sessions.align.flag

else

	# Alignment flag
	if [ -f $S2P_PATH_BASE/core/flags/sessions.align.flag ]; then

		rm -f $S2P_PATH_BASE/core/flags/sessions.align.flag &> /dev/null
		$S2P_PATH_BASE/core/bin/sessions.sh align

	fi

	# Restart flag
	if [ -f $S2P_PATH_BASE/core/flags/sessions.restart.flag ]; then
		
		# Restart each
		SESSIONS=`cat $S2P_PATH_BASE/core/flags/sessions.restart.flag`
		rm -f $S2P_PATH_BASE/core/flags/sessions.restart.flag &> /dev/null
		rm -f $S2P_PATH_BASE/core/flags/sessions.reloadprofiles.flag &> /dev/null

		for SESSION in $SESSIONS; do
			$S2P_PATH_BASE/core/bin/session.sh $SESSION restart
		done

#########################################################################################
# sessions.reloadprofiles.flag

	elif [ -f $S2P_PATH_BASE/core/flags/sessions.reloadprofiles.flag ]; then

		$S2P_PATH_BASE/core/bin/sessions.sh profiles

	fi
fi

#########################################################################################
# channels_manager.reload.flag

FLAGS=`ls -1 $S2P_PATH_BASE/core/flags/channels_manager.reload-*.flag`
SOCKET_CHANNELS=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^path.socks | cut -d= -f2`

for FLAG in $FLAGS; do
	FLE=`basename $FLAG`
	MODULE=`echo $FLE|cut -d- -f2|cut -d. -f1`

	rm -f $FLAG &> /dev/null
	$S2P_PATH_BASE/core/libexec/sock_send.py "$SOCKET_CHANNELS/channels-manager.sock" "$MODULE.reload()"
done



