#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import string
import re
import time
import random
import glob
import socket
import os.path

sys.path.append(os.path.dirname(os.path.realpath(__file__)))

from s2p import *
from s2p_usock import *

sock_logger=s2p_usock()

S2P_CONF_SYSTEM	= xml_to_array(CORE_PATH_CONFIG+'/system.xml')

FILE_SOCKET=S2P_CONF_SYSTEM['path']['socks']+'/logger.sock'

connected=0
while not connected:

	try:
		sock_logger.connect(FILE_SOCKET)
		connected=1

	except:
		print "Logger is offline... waiting..."
		time.sleep(1)
		connected=0

def s2p_log(facility, level, message):
	global sock_logger
	global S2P_CONF_SYSTEM

	if S2P_CONF_SYSTEM['tuning']['ignore-log-levels'].has_key(level) and S2P_CONF_SYSTEM['tuning']['ignore-log-levels'][level] == "true": return
	message=re.sub(r'[\n\r]+', '', message)

	sock_logger.send(facility+"|"+level+"|"+message)
